import {
    getMyInfo,
} from '~/api/user'
import {
    createStoreBindings
} from 'mobx-miniprogram-bindings'
import {
    store
} from '~/store/index'
Page({
    data: {
        userInfo: {},
    },
    async onLoad() {
        // 手工绑定 
        this.storeBindings = createStoreBindings(this, {
            store,
            fields: {
                userInfo: 'userInfo',
            }
        })
    },
    jump({
        currentTarget
    }) {
        wx.navigateTo({
            url: `/salesperson/pages/${currentTarget.dataset.url}/index`,
        })
    },
    openInvite() {
        this.selectComponent("#InvitePop").openInvite()
    },
    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})